# nix-env -i -f ./default.nix

{ nixpkgs ? import <nixpkgs> {} }:

with nixpkgs; stdenv.mkDerivation rec {
  name = "orca";
  src = ./.;

  buildInputs = [ ncurses portmidi ];
  enableParallelBuilding = true;

  buildPhase = ''
    patchShebangs ./tool
    make
  '';

  installPhase = ''
    mkdir -p $out/bin
    cp build/orca $out/bin/orca
  '';
}
