#ifndef __PLAN9_H__
#define __PLAN9_H__
#include <u.h>
#include <libc.h>

#define sprintf sprint

typedef enum { false, true } bool;
#define ORCA_NOINLINE
#define ORCA_FORCEINLINE
#define ORCA_PURE
#define ORCA_OK_IF_UNUSED
#define ORCA_LIKELY
#define UINT8_MAX 0xff
#define UINT32_C(x) ((u32int)(x))

#define UINT16_MAX 0xffff
#define UINT32_MAX 0xffffffffL
#define SIZE_MAX UINT32_MAX
#define NULL nil

#define ORCA_Y_MAX UINT16_MAX
#define ORCA_X_MAX UINT16_MAX

typedef u8int U8;
typedef s8int I8;
typedef u16int U16;
typedef s16int I16;
typedef u32int U32;
typedef s32int I32;
typedef u64int U64;
typedef s64int I64;
typedef usize Usz;
typedef long Isz;

typedef char Glyph;
typedef U8 Mark;

Usz orca_round_up_power2(Usz x);
bool orca_is_valid_glyph(Glyph c);

#endif
